use cgmath::{Deg, Point3};

use crate::{physics::Pfloat, render::Sprite, render::SpriteTexture, render::Spriteable};

pub struct SystemObject {
	pub sprite: SpriteTexture,
	pub pos: Point3<Pfloat>,
	pub size: Pfloat,
	pub angle: Deg<Pfloat>,
}

impl Spriteable for SystemObject {
	fn get_sprite(&self) -> Sprite {
		return Sprite {
			texture: self.sprite.clone(),
			scale: 1.0,
			pos: self.pos,
			angle: self.angle,
			size: self.size,
		};
	}
}
